using System;
using System.Web;
using System.Web.UI;
using BoyunBase;
using SiteCore;

public partial class Part_OnlineAliTalk : System.Web.UI.UserControl
{
    protected void Page_Load( object sender, EventArgs e )
    {
        try {
            if( IsPostBack ) return;

            PartAccess pAcs = new PartAccess( this );
            if( !pAcs.IsReady ) return;

            // http://web.im.alisoft.com/msg.aw?v=2&uid=dfasdfasd&site=cnalichn&s=1     // 贸易通临时会话代码
            // http://web.im.alisoft.com/online.aw?v=2&uid=dfasdfasd&site=cnalichn&s=1  // 贸易通在线图片路径

            string wangName = pAcs.Settings["WangName"];
            string pt = pAcs.Parames["partTemplate"];
            string query = "?v=2&uid=" + wangName + "&site=cnalichn&s=" + pt;

            lnkWang.HRef = "http://web.im.alisoft.com/msg.aw" + query;
            imgWang.Src = "http://web.im.alisoft.com/online.aw" + query; 

        } catch( Exception ex ) {
            Todo.DebugOut( "加载 Part_OnlineWang 出现异常：" + ex.Message );
        }
    }
}
